function love.load()
    lastModified = os.time()
    love.graphics.setColor(255,255,255)
    love.graphics.setBackgroundColor(0,0,0)
    love.graphics.setNewFont(16)
    love.window.setMode( 800, 600, {fullscreen=false} )
    love.window.setTitle( "Inertia" )
    love.mouse.setVisible( true )
    x = 375
    y = 275
    velx = 0
    speed = 100
    dead = false
    time = 0
end

function love.update(dt)
    if velx ~= 0 then
        time = time + dt
    end
    if love.filesystem.load('main.lua') == nil then
        love.timer.sleep(1)
        love.filesystem.load('main.lua')()
    end
    if love.keyboard.isDown("escape") then
        love.event.push("quit")
    end
    if love.keyboard.isDown("right") then
        velx = 100 * dt
    end
    if love.keyboard.isDown("left") then
        velx = -100 * dt
    end
    if love.keyboard.isDown(" ") and dead then
        dead = false
        time = 0
        x = 375
        y = 275
    end
    if x < 350 or x > 400 then
        velx = 0
        vely = 0
        dead = true
    end
    x = x + velx
end

function love.draw()
    love.graphics.setColor(255,255,255)
    love.graphics.print(math.ceil(time), 10, 10)
    love.graphics.setColor(0,0,255)
    love.graphics.rectangle("line", 350, 275, 100, 50)
    if dead then
        love.graphics.setColor(255,0,0)
        love.graphics.rectangle("fill", x, y, 50, 50)
        love.graphics.setColor(255, 255, 255)
        love.graphics.print("You survived "..math.ceil(time).." seconds", 10, 30)
        love.graphics.print("Press Space to start again.", 10, 50)
    else
        love.graphics.setColor(0,255,0)
        love.graphics.rectangle("fill", x, y, 50, 50)
    end
end
